#ifndef RT_GFX_H
#define RT_GFX_H

/* graphics system. this is the interface of the rendering code.
 *
 * we need (at least) three different renderers:
 * - world cell renderer (for world & dungeon environments)
 * - character renderer (for animated models)
 * - object renderer (for static models)
 */

#include <stdbool.h>
#include <stdint.h>

#include "runtime.h"
#include "resources.h"

#ifdef __cplusplus
extern "C" {
#endif

/* In renderer_api.h -> Not necessary for almost all gfx usage */
typedef struct rt_renderer_init_info_s rt_renderer_init_info;

RT_DLLEXPORT void rtRegisterRendererCVars(void);

RT_DLLEXPORT rt_result rtInitGFX(rt_renderer_init_info *renderer_info);

RT_DLLEXPORT void rtShutdownGFX(void);

#ifdef __cplusplus
}
#endif

#endif
